<?php

namespace app\admin\controller\dashboard;

use app\admin\service\statistics\AppointmentService;
use app\admin\service\statistics\ChatMessageService;
use app\admin\service\statistics\CustomerService;
use app\admin\service\statistics\DeviceService;
use app\admin\service\statistics\GoodsService;
use app\admin\service\statistics\MemberService;
use app\admin\service\statistics\OrderService;

class DashboardController
{
    public function index()
    {
        $data['customer'] = CustomerService::getCustomer();
        // 用户  会员+业主
        $data['member'] = MemberService::getMember();
        // 设备
        $data['device'] = DeviceService::getDevice();
        // 预约
        $data['appointment'] = AppointmentService::getAppointment();
        // 订单
        $data['order'] = OrderService::getOrder();
        // 商品
        $data['goods'] = GoodsService::getGoods();
        // 咨询
        $data['chat'] = ChatMessageService::getChatMessage();

        return json_success('', $data);
    }
}